<?php

include_once(SYS_BASE_PATH.'main/classes/wprototype.class.php');
class test_uni extends wPrototype
{

public function __construct($objtype = '', $id = '')
{
    parent::__construct('test_uni');
    $this->extra_deleteAll_sql = "WHERE id<>'0' ";
    $this->translateLabels();
}


protected function _onDelete()
{
    global $parser;
    $fn = SYS_BASE_PATH.'userdata/modules/wtests/test_uni/'.$this->id;
    if(file_exists($fn)) $parser->utils->removeDir($fn, true);
    return '';
}

/*
protected function _onBeforeShowForm()
{
    global $parser;
    if(!$this->id)
    {
        $this->setFieldVal('starton', $parser->utils->toDate(''));
        $this->setFieldVal('creatby', $parser->getUserId());
    }
    return '';
}
*/

}

?>